CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cppcms::util::stackstream< Size > Class Template Reference

Fast output stream object. More...

`#include <cppcms/steal_buf.h>`

Inheritance diagram for cppcms::util::stackstream< Size >:

## Public Member Functions
| stackstream ()
char * | begin ()
char * | end ()
char * | c_str ()
std::string | str ()

## Detailed Description

### template<size_t Size = 128>
class cppcms::util::stackstream< Size >

Fast output stream object.

This is a special ostream that uses stack in order to receive the data and faster then std::stringstream for small chunks, also it is not limited for any particular size.

## Constructor & Destructor Documentation

template<size_t Size = 128>

cppcms::util::stackstream< Size >::stackstream | ( |  | ) |
| inline

Create a new stackstream

## Member Function Documentation

template<size_t Size = 128>

char* cppcms::util::stackstream< Size >::begin | ( |  | ) |
| inline

Get the pointer to the first character in the range

template<size_t Size = 128>

char* cppcms::util::stackstream< Size >::c_str | ( |  | ) |
| inline

Get a NUL terminated recorded string

template<size_t Size = 128>

char* cppcms::util::stackstream< Size >::end | ( |  | ) |
| inline

Get the pointer to the one past last character in the range

template<size_t Size = 128>

std::string cppcms::util::stackstream< Size >::str | ( |  | ) |
| inline

Get a recorded string

The documentation for this class was generated from the following file:

- cppcms/steal_buf.h